[mythtv-users] mythfrontend 0.20 Protocol version mismatch (frontend=30, backend=31)

David Pietromonaco pietro at videoi.com
Sat Sep 30 18:47:42 UTC 2006

I can't figure out why I have a mismatch.  I believe I'm using 0.20 for
both the frontend and the backend...  I used to be using 0.17, and to upgrade
the backend I completely reinstalled on a fresh fedora core 5 and yum'd 
the new backend according to the wilsonet instructions.  That all seems to be
working fine (been recording programs today just dandy).

My frontend machines are xboxes running xebian.  But, it's a pain to
freshly install the os, and I'm just using the mythfrontend so I apt-get'd
the mythtv-frontend and that seemed to update to 0.20 as well (sarge).
(I specified to get the packages from Alex's pages and from Christian's)

The logs seem to indicate I have the same builds...  From mythfrontend
(Hopefully the relevant bits of the output):
2006-09-30 01:50:34.097 Current Schema Version: 1160
2006-09-30 01:50:34.098 mythfrontend version: 0.20.20060828-3 www.mythtv.org
2006-09-30 01:51:15.115 Connecting to backend server: (try 1 of 5)
2006-09-30 01:51:16.957 Protocol version mismatch (frontend=30,backend=31)
(and there it hangs)

More information about the mythtv-users mailing list